<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `/nix/store/kaan79bbbx80h17lcc5ay919l5r6bqlz-vendored-sources/libc-0.2.126/src/unix/linux_like/linux/arch/generic/mod.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>mod.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../../../../../../normalize.css"><link rel="stylesheet" type="text/css" href="../../../../../../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../../../../../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../../../../../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../../../../../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../../../../../../storage.js"></script><script defer src="../../../../../../../source-script.js"></script><script defer src="../../../../../../../source-files.js"></script><script defer src="../../../../../../../main.js"></script><noscript><link rel="stylesheet" href="../../../../../../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../../../../../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../../../../../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../../../../../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../../../../../../libc/index.html"><div class="logo-container"><img class="rust-logo" src="../../../../../../../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../../../../../../libc/index.html"><div class="logo-container"><img class="rust-logo" src="../../../../../../../rust-logo.svg" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../../../../../../libc/index.html"><img class="rust-logo" src="../../../../../../../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../../../../../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../../../../../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
<span id="44">44</span>
<span id="45">45</span>
<span id="46">46</span>
<span id="47">47</span>
<span id="48">48</span>
<span id="49">49</span>
<span id="50">50</span>
<span id="51">51</span>
<span id="52">52</span>
<span id="53">53</span>
<span id="54">54</span>
<span id="55">55</span>
<span id="56">56</span>
<span id="57">57</span>
<span id="58">58</span>
<span id="59">59</span>
<span id="60">60</span>
<span id="61">61</span>
<span id="62">62</span>
<span id="63">63</span>
<span id="64">64</span>
<span id="65">65</span>
<span id="66">66</span>
<span id="67">67</span>
<span id="68">68</span>
<span id="69">69</span>
<span id="70">70</span>
<span id="71">71</span>
<span id="72">72</span>
<span id="73">73</span>
<span id="74">74</span>
<span id="75">75</span>
<span id="76">76</span>
<span id="77">77</span>
<span id="78">78</span>
<span id="79">79</span>
<span id="80">80</span>
<span id="81">81</span>
<span id="82">82</span>
<span id="83">83</span>
<span id="84">84</span>
<span id="85">85</span>
<span id="86">86</span>
<span id="87">87</span>
<span id="88">88</span>
<span id="89">89</span>
<span id="90">90</span>
<span id="91">91</span>
<span id="92">92</span>
<span id="93">93</span>
<span id="94">94</span>
<span id="95">95</span>
<span id="96">96</span>
<span id="97">97</span>
<span id="98">98</span>
<span id="99">99</span>
<span id="100">100</span>
<span id="101">101</span>
<span id="102">102</span>
<span id="103">103</span>
<span id="104">104</span>
<span id="105">105</span>
<span id="106">106</span>
<span id="107">107</span>
<span id="108">108</span>
<span id="109">109</span>
<span id="110">110</span>
<span id="111">111</span>
<span id="112">112</span>
<span id="113">113</span>
<span id="114">114</span>
<span id="115">115</span>
<span id="116">116</span>
<span id="117">117</span>
<span id="118">118</span>
<span id="119">119</span>
<span id="120">120</span>
<span id="121">121</span>
<span id="122">122</span>
<span id="123">123</span>
<span id="124">124</span>
<span id="125">125</span>
<span id="126">126</span>
<span id="127">127</span>
<span id="128">128</span>
<span id="129">129</span>
<span id="130">130</span>
<span id="131">131</span>
<span id="132">132</span>
<span id="133">133</span>
<span id="134">134</span>
<span id="135">135</span>
<span id="136">136</span>
<span id="137">137</span>
<span id="138">138</span>
<span id="139">139</span>
<span id="140">140</span>
<span id="141">141</span>
<span id="142">142</span>
<span id="143">143</span>
<span id="144">144</span>
<span id="145">145</span>
<span id="146">146</span>
<span id="147">147</span>
<span id="148">148</span>
<span id="149">149</span>
<span id="150">150</span>
<span id="151">151</span>
<span id="152">152</span>
<span id="153">153</span>
<span id="154">154</span>
<span id="155">155</span>
<span id="156">156</span>
<span id="157">157</span>
<span id="158">158</span>
<span id="159">159</span>
<span id="160">160</span>
<span id="161">161</span>
<span id="162">162</span>
<span id="163">163</span>
<span id="164">164</span>
<span id="165">165</span>
<span id="166">166</span>
<span id="167">167</span>
<span id="168">168</span>
<span id="169">169</span>
<span id="170">170</span>
<span id="171">171</span>
<span id="172">172</span>
<span id="173">173</span>
<span id="174">174</span>
<span id="175">175</span>
<span id="176">176</span>
<span id="177">177</span>
<span id="178">178</span>
<span id="179">179</span>
<span id="180">180</span>
<span id="181">181</span>
<span id="182">182</span>
<span id="183">183</span>
<span id="184">184</span>
<span id="185">185</span>
<span id="186">186</span>
<span id="187">187</span>
<span id="188">188</span>
<span id="189">189</span>
<span id="190">190</span>
<span id="191">191</span>
<span id="192">192</span>
<span id="193">193</span>
<span id="194">194</span>
<span id="195">195</span>
<span id="196">196</span>
<span id="197">197</span>
<span id="198">198</span>
<span id="199">199</span>
<span id="200">200</span>
<span id="201">201</span>
<span id="202">202</span>
<span id="203">203</span>
<span id="204">204</span>
<span id="205">205</span>
<span id="206">206</span>
<span id="207">207</span>
<span id="208">208</span>
<span id="209">209</span>
<span id="210">210</span>
<span id="211">211</span>
<span id="212">212</span>
<span id="213">213</span>
<span id="214">214</span>
<span id="215">215</span>
<span id="216">216</span>
<span id="217">217</span>
<span id="218">218</span>
<span id="219">219</span>
<span id="220">220</span>
<span id="221">221</span>
<span id="222">222</span>
<span id="223">223</span>
<span id="224">224</span>
<span id="225">225</span>
<span id="226">226</span>
<span id="227">227</span>
<span id="228">228</span>
<span id="229">229</span>
<span id="230">230</span>
<span id="231">231</span>
<span id="232">232</span>
<span id="233">233</span>
<span id="234">234</span>
<span id="235">235</span>
<span id="236">236</span>
<span id="237">237</span>
<span id="238">238</span>
<span id="239">239</span>
<span id="240">240</span>
<span id="241">241</span>
<span id="242">242</span>
<span id="243">243</span>
<span id="244">244</span>
<span id="245">245</span>
<span id="246">246</span>
<span id="247">247</span>
<span id="248">248</span>
<span id="249">249</span>
<span id="250">250</span>
<span id="251">251</span>
<span id="252">252</span>
<span id="253">253</span>
<span id="254">254</span>
<span id="255">255</span>
<span id="256">256</span>
<span id="257">257</span>
<span id="258">258</span>
<span id="259">259</span>
<span id="260">260</span>
<span id="261">261</span>
<span id="262">262</span>
<span id="263">263</span>
<span id="264">264</span>
<span id="265">265</span>
<span id="266">266</span>
<span id="267">267</span>
<span id="268">268</span>
<span id="269">269</span>
<span id="270">270</span>
<span id="271">271</span>
<span id="272">272</span>
<span id="273">273</span>
<span id="274">274</span>
<span id="275">275</span>
<span id="276">276</span>
<span id="277">277</span>
<span id="278">278</span>
</pre><pre class="rust"><code><span class="macro">s!</span> {
    <span class="kw">pub</span> <span class="kw">struct</span> <span class="ident">termios2</span> {
        <span class="kw">pub</span> <span class="ident">c_iflag</span>: <span class="ident">::tcflag_t</span>,
        <span class="kw">pub</span> <span class="ident">c_oflag</span>: <span class="ident">::tcflag_t</span>,
        <span class="kw">pub</span> <span class="ident">c_cflag</span>: <span class="ident">::tcflag_t</span>,
        <span class="kw">pub</span> <span class="ident">c_lflag</span>: <span class="ident">::tcflag_t</span>,
        <span class="kw">pub</span> <span class="ident">c_line</span>: <span class="ident">::cc_t</span>,
        <span class="kw">pub</span> <span class="ident">c_cc</span>: [<span class="ident">::cc_t</span>; <span class="number">19</span>],
        <span class="kw">pub</span> <span class="ident">c_ispeed</span>: <span class="ident">::speed_t</span>,
        <span class="kw">pub</span> <span class="ident">c_ospeed</span>: <span class="ident">::speed_t</span>,
    }
}

<span class="comment">// include/uapi/asm-generic/socket.h</span>
<span class="comment">// arch/alpha/include/uapi/asm/socket.h</span>
<span class="comment">// tools/include/uapi/asm-generic/socket.h</span>
<span class="comment">// arch/mips/include/uapi/asm/socket.h</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SOL_SOCKET</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">1</span>;

<span class="comment">// Defined in unix/linux_like/mod.rs</span>
<span class="comment">// pub const SO_DEBUG: ::c_int = 1;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_REUSEADDR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">2</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TYPE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">3</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ERROR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">4</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_DONTROUTE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">5</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BROADCAST</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">6</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SNDBUF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">7</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RCVBUF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">8</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_KEEPALIVE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">9</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_OOBINLINE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">10</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_NO_CHECK</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">11</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PRIORITY</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">12</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_LINGER</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">13</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BSDCOMPAT</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">14</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_REUSEPORT</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">15</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PASSCRED</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">16</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PEERCRED</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">17</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RCVLOWAT</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">18</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SNDLOWAT</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">19</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RCVTIMEO</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">20</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SNDTIMEO</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">21</span>;
<span class="comment">// pub const SO_RCVTIMEO_OLD: ::c_int = 20;</span>
<span class="comment">// pub const SO_SNDTIMEO_OLD: ::c_int = 21;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SECURITY_AUTHENTICATION</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">22</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SECURITY_ENCRYPTION_TRANSPORT</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">23</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SECURITY_ENCRYPTION_NETWORK</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">24</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BINDTODEVICE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">25</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ATTACH_FILTER</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">26</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_DETACH_FILTER</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">27</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_GET_FILTER</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_ATTACH_FILTER</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PEERNAME</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">28</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMP</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">29</span>;
<span class="comment">// pub const SO_TIMESTAMP_OLD: ::c_int = 29;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ACCEPTCONN</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">30</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PEERSEC</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">31</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SNDBUFFORCE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">32</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RCVBUFFORCE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">33</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PASSSEC</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">34</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMPNS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">35</span>;
<span class="comment">// pub const SO_TIMESTAMPNS_OLD: ::c_int = 35;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_MARK</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">36</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMPING</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">37</span>;
<span class="comment">// pub const SO_TIMESTAMPING_OLD: ::c_int = 37;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PROTOCOL</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">38</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_DOMAIN</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">39</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RXQ_OVFL</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">40</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_WIFI_STATUS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">41</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_WIFI_STATUS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_WIFI_STATUS</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PEEK_OFF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">42</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_NOFCS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">43</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_LOCK_FILTER</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">44</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SELECT_ERR_QUEUE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">45</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BUSY_POLL</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">46</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_MAX_PACING_RATE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">47</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BPF_EXTENSIONS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">48</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_INCOMING_CPU</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">49</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ATTACH_BPF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">50</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_DETACH_BPF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_DETACH_FILTER</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ATTACH_REUSEPORT_CBPF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">51</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ATTACH_REUSEPORT_EBPF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">52</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_CNX_ADVICE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">53</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_TIMESTAMPING_OPT_STATS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">54</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_MEMINFO</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">55</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_INCOMING_NAPI_ID</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">56</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_COOKIE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">57</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_TIMESTAMPING_PKTINFO</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">58</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_PEERGROUPS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">59</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_ZEROCOPY</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">60</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TXTIME</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">61</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_TXTIME</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_TXTIME</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_BINDTOIFINDEX</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">62</span>;
<span class="macro">cfg_if!</span> {
    <span class="comment">// Some of these platforms in CI already have these constants.</span>
    <span class="comment">// But they may still not have those _OLD ones.</span>
    <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">all</span>(<span class="ident">any</span>(<span class="ident">target_arch</span> <span class="op">=</span> <span class="string">&quot;x86&quot;</span>,
                     <span class="ident">target_arch</span> <span class="op">=</span> <span class="string">&quot;x86_64&quot;</span>,
                     <span class="ident">target_arch</span> <span class="op">=</span> <span class="string">&quot;aarch64&quot;</span>),
                 <span class="ident">not</span>(<span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;musl&quot;</span>)))]</span> {
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMP_NEW</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">63</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMPNS_NEW</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">64</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_TIMESTAMPING_NEW</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">65</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_RCVTIMEO_NEW</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">66</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_SNDTIMEO_NEW</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">67</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SO_DETACH_REUSEPORT_BPF</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">68</span>;
    }
}
<span class="comment">// pub const SO_PREFER_BUSY_POLL: ::c_int = 69;</span>
<span class="comment">// pub const SO_BUSY_POLL_BUDGET: ::c_int = 70;</span>

<span class="comment">// Defined in unix/linux_like/mod.rs</span>
<span class="comment">// pub const SCM_TIMESTAMP: ::c_int = SO_TIMESTAMP;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_TIMESTAMPNS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_TIMESTAMPNS</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">SCM_TIMESTAMPING</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">SO_TIMESTAMPING</span>;

<span class="comment">// Ioctl Constants</span>

<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCGETS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5401</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5402</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETSW</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5403</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETSF</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5404</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCGETA</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5405</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETA</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5406</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETAW</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5407</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETAF</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5408</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSBRK</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5409</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCXONC</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540A</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCFLSH</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540B</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCEXCL</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540C</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCNXCL</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540D</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSCTTY</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540E</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGPGRP</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x540F</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSPGRP</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5410</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCOUTQ</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5411</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSTI</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5412</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGWINSZ</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5413</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSWINSZ</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5414</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCMGET</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5415</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCMBIS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5416</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCMBIC</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5417</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCMSET</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5418</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGSOFTCAR</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5419</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSSOFTCAR</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541A</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIONREAD</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541B</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCINQ</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="ident">FIONREAD</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCLINUX</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541C</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCCONS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541D</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGSERIAL</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541E</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSSERIAL</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x541F</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCPKT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5420</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIONBIO</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5421</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCNOTTY</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5422</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSETD</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5423</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGETD</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5424</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSBRKP</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5425</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSBRK</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5427</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCCBRK</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5428</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGSID</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5429</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCGETS2</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x802c542a</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETS2</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x402c542b</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETSW2</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x402c542c</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETSF2</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x402c542d</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGRS485</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x542E</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSRS485</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x542F</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGPTN</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x80045430</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSPTLCK</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x40045431</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGDEV</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x80045432</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCGETX</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5432</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETX</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5433</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETXF</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5434</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TCSETXW</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5435</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSIG</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x40045436</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCVHANGUP</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5437</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGPKT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x80045438</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGPTLCK</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x80045439</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGEXCL</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x80045440</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGPTPEER</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5441</span>;
<span class="comment">// pub const TIOCGISO7816: ::Ioctl = 0x80285442;</span>
<span class="comment">// pub const TIOCSISO7816: ::Ioctl = 0xc0285443;</span>
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIONCLEX</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5450</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIOCLEX</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5451</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIOASYNC</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5452</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERCONFIG</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5453</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERGWILD</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5454</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERSWILD</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5455</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGLCKTRMIOS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5456</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSLCKTRMIOS</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5457</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERGSTRUCT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5458</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERGETLSR</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5459</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERGETMULTI</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x545A</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCSERSETMULTI</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x545B</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCMIWAIT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x545C</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCGICOUNT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x545D</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">BLKIOMIN</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x1278</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">BLKIOOPT</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x1279</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">BLKSSZGET</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x1268</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">BLKPBSZGET</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x127B</span>;

<span class="macro">cfg_if!</span> {
    <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">any</span>(<span class="ident">target_arch</span> <span class="op">=</span> <span class="string">&quot;arm&quot;</span>,
                 <span class="ident">target_arch</span> <span class="op">=</span> <span class="string">&quot;s390x&quot;</span>))]</span> {
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIOQSIZE</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x545E</span>;
    } <span class="kw">else</span> {
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">FIOQSIZE</span>: <span class="ident">::Ioctl</span> <span class="op">=</span> <span class="number">0x5460</span>;
    }
}

<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_LE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x001</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_DTR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x002</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_RTS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x004</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_ST</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x008</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_SR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x010</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_CTS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x020</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_CAR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x040</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_CD</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">TIOCM_CAR</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_RNG</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x080</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_RI</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">TIOCM_RNG</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">TIOCM_DSR</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0x100</span>;

<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">BOTHER</span>: <span class="ident">::speed_t</span> <span class="op">=</span> <span class="number">0o010000</span>;
<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">IBSHIFT</span>: <span class="ident">::tcflag_t</span> <span class="op">=</span> <span class="number">16</span>;

<span class="comment">// RLIMIT Constants</span>

<span class="macro">cfg_if!</span> {
    <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">any</span>(<span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;gnu&quot;</span>,
                 <span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;uclibc&quot;</span>))]</span> {

        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_CPU</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">0</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_FSIZE</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">1</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_DATA</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">2</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_STACK</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">3</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_CORE</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">4</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RSS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">5</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NPROC</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">6</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NOFILE</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">7</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_MEMLOCK</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">8</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_AS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">9</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_LOCKS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">10</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_SIGPENDING</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">11</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_MSGQUEUE</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">12</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NICE</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">13</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RTPRIO</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">14</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RTTIME</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">15</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NLIMITS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="ident">RLIM_NLIMITS</span>;

    } <span class="kw">else</span> <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;musl&quot;</span>)]</span> {

        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_CPU</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">0</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_FSIZE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">1</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_DATA</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">2</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_STACK</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">3</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_CORE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">4</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RSS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">5</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NPROC</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">6</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NOFILE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">7</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_MEMLOCK</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">8</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_AS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">9</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_LOCKS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">10</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_SIGPENDING</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">11</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_MSGQUEUE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">12</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NICE</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">13</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RTPRIO</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">14</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_RTTIME</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">15</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIM_NLIMITS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="number">15</span>;
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIMIT_NLIMITS</span>: <span class="ident">::c_int</span> <span class="op">=</span> <span class="ident">RLIM_NLIMITS</span>;
    }
}

<span class="macro">cfg_if!</span> {
    <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;gnu&quot;</span>)]</span> {
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIM_NLIMITS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">16</span>;
    }
    <span class="kw">else</span> <span class="kw">if</span> <span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">target_env</span> <span class="op">=</span> <span class="string">&quot;uclibc&quot;</span>)]</span> {
        <span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIM_NLIMITS</span>: <span class="ident">::__rlimit_resource_t</span> <span class="op">=</span> <span class="number">15</span>;
    }
}

<span class="kw">pub</span> <span class="kw">const</span> <span class="ident">RLIM_INFINITY</span>: <span class="ident">::rlim_t</span> <span class="op">=</span> <span class="op">!</span><span class="number">0</span>;
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../../../../../../" data-current-crate="libc" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>